Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.teleal.cling.support.contentdirectory.descriptor.upnp
Enum StorageMediumValue

    java.lang.Object
      java.lang.Enum<StorageMediumValue>
          org.teleal.cling.support.contentdirectory.descriptor.upnp.StorageMediumValue

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<StorageMediumValue>

    public enum StorageMediumValue

extends java.lang.Enum<StorageMediumValue>

Java class for storageMediumValue.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="storageMediumValue">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="UNKNOWN"/>
         <enumeration value="DV"/>
         <enumeration value="MINI-DV"/>
         <enumeration value="VHS"/>
         <enumeration value="W-VHS"/>
         <enumeration value="S-VHS"/>
         <enumeration value="D-VHS"/>
         <enumeration value="VHSC"/>
         <enumeration value="VIDEO8"/>
         <enumeration value="HI8"/>
         <enumeration value="CD-ROM"/>
         <enumeration value="CD-DA"/>
         <enumeration value="CD-R"/>
         <enumeration value="CD-RW"/>
         <enumeration value="VIDEO-CD"/>
         <enumeration value="SACD"/>
         <enumeration value="MD-AUDIO"/>
         <enumeration value="MD-PICTURE"/>
         <enumeration value="DVD-ROM"/>
         <enumeration value="DVD-VIDEO"/>
         <enumeration value="DVD-R"/>
         <enumeration value="DVD+RW"/>
         <enumeration value="DVD-RW"/>
         <enumeration value="DVD-RAM"/>
         <enumeration value="DVD-AUDIO"/>
         <enumeration value="DAT"/>
         <enumeration value="LD"/>
         <enumeration value="HDD"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`CD_DA`
`CD_R`
`CD_ROM`
`CD_RW`
`D_VHS`
`DAT`
`DV`
`DVD_AUDIO`
`DVD_PLUS_RW`
`DVD_R`
`DVD_RAM`
`DVD_ROM`
`DVD_RW`
`DVD_VIDEO`
`HDD`
`HI_8`
`LD`
`MD_AUDIO`
`MD_PICTURE`
`MINI_DV`
`S_VHS`
`SACD`
`UNKNOWN`
`VHS`
`VHSC`
`VIDEO_8`
`VIDEO_CD`
`W_VHS`

Method Summary
`static StorageMediumValue` | `fromValue(java.lang.String v)`
`java.lang.String` | `value()`
`static StorageMediumValue` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static StorageMediumValue[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNKNOWN

    public static final StorageMediumValue UNKNOWN

### DV

    public static final StorageMediumValue DV

### MINI_DV

    public static final StorageMediumValue MINI_DV

### VHS

    public static final StorageMediumValue VHS

### W_VHS

    public static final StorageMediumValue W_VHS

### S_VHS

    public static final StorageMediumValue S_VHS

### D_VHS

    public static final StorageMediumValue D_VHS

### VHSC

    public static final StorageMediumValue VHSC

### VIDEO_8

    public static final StorageMediumValue VIDEO_8

### HI_8

    public static final StorageMediumValue HI_8

### CD_ROM

    public static final StorageMediumValue CD_ROM

### CD_DA

    public static final StorageMediumValue CD_DA

### CD_R

    public static final StorageMediumValue CD_R

### CD_RW

    public static final StorageMediumValue CD_RW

### VIDEO_CD

    public static final StorageMediumValue VIDEO_CD

### SACD

    public static final StorageMediumValue SACD

### MD_AUDIO

    public static final StorageMediumValue MD_AUDIO

### MD_PICTURE

    public static final StorageMediumValue MD_PICTURE

### DVD_ROM

    public static final StorageMediumValue DVD_ROM

### DVD_VIDEO

    public static final StorageMediumValue DVD_VIDEO

### DVD_R

    public static final StorageMediumValue DVD_R

### DVD_PLUS_RW

    public static final StorageMediumValue DVD_PLUS_RW

### DVD_RW

    public static final StorageMediumValue DVD_RW

### DVD_RAM

    public static final StorageMediumValue DVD_RAM

### DVD_AUDIO

    public static final StorageMediumValue DVD_AUDIO

### DAT

    public static final StorageMediumValue DAT

### LD

    public static final StorageMediumValue LD

### HDD

    public static final StorageMediumValue HDD

Method Detail

### values

    public static StorageMediumValue[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StorageMediumValue c : StorageMediumValue.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StorageMediumValue valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### value

    public java.lang.String value()

### fromValue

    public static StorageMediumValue fromValue(java.lang.String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.